summaryrefslogtreecommitdiff
path: root/bin/rtt-fuzz
diff options
context:
space:
mode:
authorTor Andersson <tor@ccxvii.net>2025-04-25 12:18:00 +0200
committerTor Andersson <tor@ccxvii.net>2025-04-25 17:56:43 +0200
commitfc3501382c2aa3ef5b692f4f55c2616f9cade3f5 (patch)
treea047bb94f8f1854c621fa0fba5ed62c8e0d0be14 /bin/rtt-fuzz
parented2361980b455d1825d811670f329cbcf5624927 (diff)
downloadserver-fc3501382c2aa3ef5b692f4f55c2616f9cade3f5.tar.gz
Move toolbox scripts to a "bin" directory.
Add a super "rtt" command to run the scripts.
Diffstat (limited to 'bin/rtt-fuzz')
-rwxr-xr-xbin/rtt-fuzz16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/rtt-fuzz b/bin/rtt-fuzz
new file mode 100755
index 0000000..d7f2aef
--- /dev/null
+++ b/bin/rtt-fuzz
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+TITLE=$1
+shift
+
+if [ ! -f ./public/$TITLE/rules.js ]
+then
+ echo usage: rtt-fuzz TITLE
+ exit 1
+fi
+
+mkdir -p fuzzer/corpus-$TITLE
+
+RULES=../public/$TITLE/rules.js \
+ npx jazzer tools/fuzz.js --sync fuzzer/corpus-$TITLE "$@" -- -exact_artifact_path=/dev/null | \
+ tee fuzzer/log-$TITLE.txt